apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2026-02-04T19:55:39Z'
  generation: 3
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:type': {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:archived': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:conversionTempStorageClass': {}
          'f:conversionTempStorageSize': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2026-02-04T19:56:13Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2026-02-04T19:57:43Z'
  name: cold-win2019-errorsc
  namespace: openshift-mtv
  resourceVersion: '6432619'
  uid: 1836641a-dd1b-4797-94d0-a59774d69bad
spec:
  archived: false
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: true
  conversionTempStorageClass: error-sc
  targetNamespace: mtv-test
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: aa1aa7a5-5fb1-4514-adfe-a7b1d570d73a
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: v8-us
      namespace: openshift-mtv
      uid: ce0e39e5-6141-4493-83e8-061b484b3def
  conversionTempStorageSize: 150Gi
  preserveStaticIPs: true
  type: cold
  vms:
    - id: vm-1017
      name: mtv-func-win2019-fd
  map:
    network:
      name: cold-win2019-errorsc-47gnz
      namespace: openshift-mtv
    storage:
      name: cold-win2019-errorsc-xevln
      namespace: openshift-mtv
  runPreflightInspection: true
  targetPowerState: auto
status:
  conditions:
    - category: Required
      lastTransitionTime: '2026-02-04T19:55:45Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2026-02-04T19:57:23Z'
      message: The plan is EXECUTING.
      status: 'True'
      type: Executing
  migration:
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2026-02-04T19:57:23Z'
            message: The plan is EXECUTING.
            status: 'True'
            type: Executing
        map:
          network:
            generation: 1
            name: cold-win2019-errorsc-47gnz
            namespace: openshift-mtv
            uid: f7a2b4bd-d422-43db-a1f7-d7ad6d552bb0
          storage:
            generation: 1
            name: cold-win2019-errorsc-xevln
            namespace: openshift-mtv
            uid: e7dd07fe-078e-41dc-840e-18f44c41a25b
        migration:
          generation: 1
          name: cold-win2019-errorsc-nlpp7
          namespace: openshift-mtv
          uid: 377616fa-ee64-4c56-b9fa-bf78856e4317
        plan:
          generation: 3
          name: cold-win2019-errorsc
          namespace: openshift-mtv
          uid: 1836641a-dd1b-4797-94d0-a59774d69bad
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: aa1aa7a5-5fb1-4514-adfe-a7b1d570d73a
          source:
            generation: 1
            name: v8-us
            namespace: openshift-mtv
            uid: ce0e39e5-6141-4493-83e8-061b484b3def
    started: '2026-02-04T19:57:23Z'
    vms:
      - id: vm-1017
        luks: {}
        name: mtv-func-win2019-fd
        phase: ConvertGuest
        pipeline:
          - completed: '2026-02-04T19:57:30Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2026-02-04T19:57:23Z'
          - annotations:
              unit: MB
            completed: '2026-02-04T19:57:39Z'
            description: Allocate disks.
            name: DiskAllocation
            phase: Completed
            progress:
              completed: 18432
              total: 18432
            started: '2026-02-04T19:57:30Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2026-02-04T19:57:36Z'
                name: '[mtv-nfs-rhos-v8] mtv-func-win2019-fd/mtv-func-win2019-fd.vmdk'
                phase: Completed
                progress:
                  completed: 12288
                  total: 12288
                reason: Transfer completed.
                started: '2026-02-04T19:57:33Z'
              - annotations:
                  unit: MB
                completed: '2026-02-04T19:57:39Z'
                name: '[mtv-nfs-rhos-v8] mtv-func-win2019-fd/mtv-func-win2019-fd_1.vmdk'
                phase: Completed
                progress:
                  completed: 1024
                  total: 1024
                reason: Transfer completed.
                started: '2026-02-04T19:57:36Z'
              - annotations:
                  unit: MB
                completed: '2026-02-04T19:57:39Z'
                name: '[mtv-nfs-rhos-v8] mtv-func-win2019-fd/mtv-func-win2019-fd_2.vmdk'
                phase: Completed
                progress:
                  completed: 2048
                  total: 2048
                reason: Transfer completed.
                started: '2026-02-04T19:57:36Z'
              - annotations:
                  unit: MB
                completed: '2026-02-04T19:57:36Z'
                name: '[mtv-nfs-rhos-v8] mtv-func-win2019-fd/mtv-func-win2019-fd_3.vmdk'
                phase: Completed
                progress:
                  completed: 3072
                  total: 3072
                reason: Transfer completed.
                started: '2026-02-04T19:57:36Z'
          - description: Convert image to kubevirt.
            name: ImageConversion
            phase: Running
            progress:
              completed: 0
              total: 1
            started: '2026-02-04T19:57:39Z'
          - annotations:
              unit: MB
            description: Copy disks.
            name: DiskTransferV2v
            phase: Pending
            progress:
              completed: 0
              total: 18432
            tasks:
              - annotations:
                  unit: MB
                name: '[mtv-nfs-rhos-v8] mtv-func-win2019-fd/mtv-func-win2019-fd.vmdk'
                progress:
                  completed: 0
                  total: 12288
              - annotations:
                  unit: MB
                name: '[mtv-nfs-rhos-v8] mtv-func-win2019-fd/mtv-func-win2019-fd_1.vmdk'
                progress:
                  completed: 0
                  total: 1024
              - annotations:
                  unit: MB
                name: '[mtv-nfs-rhos-v8] mtv-func-win2019-fd/mtv-func-win2019-fd_2.vmdk'
                progress:
                  completed: 0
                  total: 2048
              - annotations:
                  unit: MB
                name: '[mtv-nfs-rhos-v8] mtv-func-win2019-fd/mtv-func-win2019-fd_3.vmdk'
                progress:
                  completed: 0
                  total: 3072
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
        restorePowerState: 'Off'
        started: '2026-02-04T19:57:23Z'
  observedGeneration: 3
